kate Library: Kate Namespace Reference (kate Library)

| # kate Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# Kate Namespace Reference

Kate namespace All classes in this namespace must stay BC during one major release series (e.g. More...

## Classes
class | Command
| Kate Commands. More...
class | CommandExtension
| Extension to the Command interface, allowing to interact with commands during typing. More...
class | Document
| This interface provides access to the Kate Document class. More...
class | DocumentExt
| Extensions to the Document Interface Since: 3.3. More...
class | View
| The Kate::View text editor interface. More...
## Functions
KATEPARTINTERFACES_EXPORT Document * | document (KTextEditor::Document *doc)
KATEPARTINTERFACES_EXPORT DocumentExt * | documentExt (KTextEditor::Document *doc)
KATEPARTINTERFACES_EXPORT Document * | createDocument (QObject *parent=0, const char *name=0)
View * | view (KTextEditor::View *view)

## Detailed Description

Kate namespace All classes in this namespace must stay BC during one major release series (e.g.

3.x, 4.x, ...)

## Function Documentation

Document * Kate::document | ( | KTextEditor::Document * | doc | ) |

  | Check if given document is a Kate::Document. Parameters:
  | doc | KTextEditor document
Returns: 0 if no success, else the Kate::Document Definition at line 98 of file interfaces.cpp.

DocumentExt * Kate::documentExt | ( | KTextEditor::Document * | doc | ) |

  | Check if given document is a Kate::DocumentExt. Parameters:
  | doc | KTextEditor document
Returns: 0 if no success, else the Kate::DocumentExt Definition at line 106 of file interfaces.cpp.

Document * Kate::createDocument | ( | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |

| Creates a new Kate::Document object. Definition at line 114 of file interfaces.cpp.

This file is part of the documentation for kate Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:36:59 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003